JvmTestKind (Gradle API 2.11)
Date: 2016-02-08

org.gradle.tooling.events.test

## Enum JvmTestKind

- java.lang.Object
- - java.lang.Enum<JvmTestKind>
  - - org.gradle.tooling.events.test.JvmTestKind

- All Implemented Interfaces:
    Serializable, Comparable<JvmTestKind>

      @Incubating
      public enum JvmTestKind
      extends Enum<JvmTestKind>

  Enumerates the different kinds of JVM tests. This allows to differentiate between test suites, atomic tests, etc.
  Since:
    2.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATOMIC`
    `SUITE`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()` Returns a label for the test kind.
    `static JvmTestKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JvmTestKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUITE

          public static final JvmTestKind SUITE

    - #### ATOMIC

          public static final JvmTestKind ATOMIC

    - #### UNKNOWN

          public static final JvmTestKind UNKNOWN

  - ### Method Detail

    - #### values

          public static JvmTestKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JvmTestKind c : JvmTestKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JvmTestKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

      Returns a label for the test kind. The label can be used to generate a prettified version of the test descriptor.
      Returns:
        a label corresponding to the test kind